function createReq(){
	var req=null;
	if(window.XMLHttpRequest){
		req = new XMLHttpRequest();
	}else{
		req = new ActiveXObject("Microsoft.XMLHTTP");
	}
	return req;
}

function isReady(req){
	if(req.readyState==4 && req.status==200){
		return true;
	}else{
		return false;
	}
}

function getWidth(){
	return window.innerWidth != null? window.innerWidth: document.documentElement && document.documentElement.clientWidth ? document.documentElement.clientWidth:document.body != null? document.body.clientWidth:null;
}

function getHeight(){
	return window.innerHeight != null? window.innerHeight: document.documentElement && document.documentElement.clientHeight ? document.documentElement.clientHeight:document.body != null? document.body.clientHeight:null;
}


function removeChilds(node){
	for(var i=node.childNodes.length; i>0; i--){
		node.removeChild(node.childNodes[i-1]);
	}
}